%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name HTTP
%define f_pkg_name http
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 3001.1.4
Release: alt1

Packager: Alexander Myltsev <avm@altlinux.ru>

Summary: A library for client-side HTTP
License: BSD
Group: Development/Haskell

URL: http://www.haskell.org/http/
Source: %h_pkg_name-%version.tar

BuildRequires: ghc haddock %hs_package_dependencies network parsec base >= 3 base < 4 array
BuildRequires(pre): rpm-build-haskell


%description
A library for client-side HTTP


%prep
%setup -n %h_pkg_name-%version


%build
if [ -f configure.ac -a ! -f configure ]; then autoreconf; fi
%hs_setup %hs_configure --prefix=%_prefix --libdir=%_libdir\
	--docdir=%_docdir/%hsc_namever-%f_pkg_name-%version\
	--libsubdir='$compiler/$pkgid'\
	--disable-library-profiling --ghc
if %hs_setup makefile -f cabal-rpm.mk
then
    %make_build -f cabal-rpm.mk || :
fi
%hs_setup build
%hs_setup haddock || :
%hs_setup register --gen-pkg-config=%f_pkg_name.pkg


%install
%hs_setup copy --destdir=%buildroot
install -m 755 %f_pkg_name.pkg %buildroot%pkg_libdir

mkdir -p %buildroot%hs_pkgconfdir
%hs_package_register %f_pkg_name.pkg %buildroot%hs_pkgconfdir/%f_pkg_name.conf

cd %buildroot
find .%pkg_libdir \( -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.prof
find .%pkg_libdir -type d | sed 's/^./%dir /' >> %_builddir/%{?buildsubdir}/%name-files.nonprof
find .%pkg_libdir ! \( -type d -o -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.nonprof
sed 's,^/,%%exclude /,' %_builddir/%{?buildsubdir}/%name-files.prof >> %_builddir/%{?buildsubdir}/%name-files.nonprof

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE README


%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name.conf
%doc dist/doc/html
%doc LICENSE README


%changelog
* Tue Nov 18 2008 Alexander Myltsev <avm@altlinux.org> 3001.1.4-alt1
- spec file autogenerated by cabal-rpm
